#include "jbsql.h"

#define ChkODBCErr(R,T,S) CheckODBCError(R,T,S,__FILE__,__LINE__,1,NULL)
#define ChkODBCErr2(R,T,S) CheckODBCError(R,T,S,__FILE__,__LINE__,2,NULL)
#define ChkODBCErrS(R,T,S) CheckODBCError(R,T,S,__FILE__,__LINE__,3,hWnd)
#define ChkODBCErrN(R,T,S) CheckODBCError(R,T,S,__FILE__,__LINE__,0,NULL)

typedef struct
{
  SQLHANDLE env_handle_source;
  SQLHANDLE dbc_handle_source;
  SQLHANDLE stmt_handle_source;
} ODBCEnvironment;


struct DataBinding {
   SQLSMALLINT TargetType;
   SQLPOINTER TargetValuePtr;
   SQLINTEGER BufferLength;
   SQLLEN StrLen_or_Ind;
};


ODBCEnvironment *g_odbc;

int CheckODBCError(SQLRETURN ret,SQLSMALLINT handle_type,SQLHANDLE handle,char *file,int line,int show,HWND hWnd);
