#include "jbsql.h"

char *GetHistoryFileName(void)
{
  char filename[MAX_PATH];
  static char pdir[MAX_PATH+100];

  if (!ReadRegistryString("Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Shell Folders","Personal",pdir,MAX_PATH+100))
    return "";
  GetEnvironmentVariable("APPDATA",pdir,MAX_PATH+100);
  strcat(pdir,"\\jbsql\\");
  CreateDirectory(pdir,NULL);
  sprintf(filename,"\\jbsql_history_%s",g_database[0]?g_database:"local");
  ReplaceString(filename,".","_");
  ReplaceString(filename,":","_");
  ReplaceString(filename,"/","_");

  strcat(pdir,filename);
  strcat(pdir,".txt");
  return pdir;
}

void MigrateHistory(void)
{
  char command[MAX_PATH*2];
  static char pdir[MAX_PATH+100];

  GetEnvironmentVariable("APPDATA",pdir,MAX_PATH+100);
  strcat(pdir,"\\jbsql\\");
  CreateDirectory(pdir,NULL);
  if (!ReadRegistryString("Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\Shell Folders","Personal",pdir,MAX_PATH+100))
    return;
  sprintf(command,"cmd /c \"move %s\\jbsql_history_*.txt %%APPDATA%%\\jbsql\\\"",pdir);
  system(command);
  sprintf(command,"cmd /c \"move %s\\jbsql.his %%APPDATA%%\\jbsql\\\"",pdir);
  system(command);
}


void SaveToHistory(char *command)
{
  char timebuf[100];
  time_t t;
  HANDLE f;
  DWORD bytes_written;

 	f=CreateFile(GetHistoryFileName(),
             GENERIC_WRITE,
             FILE_SHARE_READ,
             NULL,
             OPEN_ALWAYS,
             0,
             NULL);
             
  if (f==INVALID_HANDLE_VALUE)
  {
    return;
  }
  SetFilePointer(f,0,NULL,FILE_END);
  time(&t);
  strftime(timebuf,100,"\r\n\r\n%d-%m-%Y %H:%M:%S\r\n\r\n",localtime(&t));
  WriteFile(f,timebuf,(int)strlen(timebuf),&bytes_written,NULL);
  WriteFile(f,command,(int)strlen(command),&bytes_written,NULL);
  CloseHandle(f);
}

void ShowHistory(TextWidget *text)
{
  char command[MAX_PATH+MAX_PATH];
	PROCESS_INFORMATION p;
  STARTUPINFO si;

  sprintf(command,"%s %s",STR_OPTION(EDITOR),GetHistoryFileName());
	si.cb=sizeof(STARTUPINFO);
	si.lpReserved=NULL;
	si.lpDesktop=NULL;
	si.lpTitle=NULL;
	si.dwFlags=0;
	si.cbReserved2=0;
	si.lpReserved2=NULL;
  if (CreateProcess(NULL,command,NULL,NULL,FALSE,0,NULL,STR_OPTION(DIRECTORY),&si,&p)==0)
  {
    DisplayLastError(NULL);
    WPrintf("Failed to spawn external editor\n");
		ShowPrompt(text);
    return;
  }
}

